## org.apache.hadoop.io
Class ArrayFile

    java.lang.Object
      org.apache.hadoop.io.MapFile
          org.apache.hadoop.io.ArrayFile

    public class ArrayFile

extends MapFile

A dense file-based mapping from integers to values.

Nested Class Summary
`static class` `ArrayFile.Reader` Provide access to an existing array file.
`static class` `ArrayFile.Writer` Write a new array file.

Field Summary

Fields inherited from class org.apache.hadoop.io.MapFile
`DATA_FILE_NAME, INDEX_FILE_NAME`

Constructor Summary
`protected` `ArrayFile()`

Method Summary

Methods inherited from class org.apache.hadoop.io.MapFile
`delete, fix, main, rename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayFile

    protected ArrayFile()

Copyright © 2009 The Apache Software Foundation